List templates (integrations)

The key's space templates, most recently updated first, for a template picker on an automation platform. Bearer API key with the `template.read` scope. `search` matches the name or description.

GET/api/v1/integrations/templates

Query / Path parameters

NameInRequiredDescription
searchqueryNoText the name or description contains.
pagequeryNo1-based page. Default 1.
perPagequeryNoRows per page, 1-100. Default 50.

Responses

200

JSON { list: [{ id, name, description, type, width, height, updatedOn }], count, page, perPage, pagesCount }

401

Missing or invalid API key, or the key lacks the template.read scope (SCOPE_DENIED).

Request
curl -X GET "https://bannx.com/api/v1/integrations/templates" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
Response
// JSON { list: [{ id, name, description, type, width, height, updatedOn }], count, page, perPage, pagesCount }
{
  "success": true,
  "data": { ... }
}